Bug 5141 - PGP5 select doesn't work properly in rpm 3.0.2
PGP5 select doesn't work properly in rpm 3.0.2
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
Depends On:
  Show dependency treegraph
Reported: 1999-09-14 20:48 EDT by advax
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-09-15 12:06:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description advax 1999-09-14 20:48:35 EDT
PGP 5.0i installs with binaries "pgp", "pgpk" and symlinks
"pgpv", "pgps", "pgpe".

rpm-3.0.2/lib/signature.c around line 100 tests first for
"pgp" so thinks it has found 2.6.3, and fails if this is

Having fixed this by switching the test order --checksig

The manpage still seems to allow signature and pgp_name
in ~/.rpmrc though these are now not understood

Andrew Daviel <advax@triumf.ca>
Comment 1 advax 1999-09-14 21:01:59 EDT
sorry - was seeing an old manpage re. .rpmrc comment - AD
Comment 2 Jeff Johnson 1999-09-15 12:06:59 EDT
Fixed in rpm-3.0.3 (available in Raw Hide).

Note You need to log in before you can comment on or make changes to this bug.